apiVersion: apps/v1
kind: Deployment
metadata:
  name: hello-world
spec:
  selector:
    matchLabels:
      app: hello-world
  template:
    metadata:
      labels:
        app: hello-world
    spec:
      serviceAccountName: hello-world
      imagePullSecrets:
        - name: gitlab-credentials
      containers:
      - name: hello-world
        image: _replace-with-hello-world-service-container-registry-path_:5.5.5
        imagePullPolicy: Always
        resources: {}
          # limits:
          #   memory: "128Mi"
          #   cpu: "500m"
        livenessProbe:
          httpGet:
            path: /
            port: 5000
          initialDelaySeconds: 5
          periodSeconds: 10
          successThreshold: 1
          failureThreshold: 10
        ports:
        - containerPort: 5000
        securityContext:
            allowPrivilegeEscalation: false
            capabilities:
              drop:
              - ALL
            privileged: false
            readOnlyRootFilesystem: true
      securityContext:
        {}
